> For the complete documentation index, see [llms.txt](https://docs.lingoblocks.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lingoblocks.com/docs/api/getting-started.md).

# Getting Started

Introduction

Welcome to the Lingo Blocks API documentation. With our powerful and flexible API, you can seamlessly integrate the capabilities of Lingo Blocks into your platform, mobile application, or even third-party services. This page will walk you through the essential steps to get started.

#### Prerequisites

1. **Lingo Blocks Account**: Ensure you have a registered account on Lingo Blocks. If you haven't, sign up [here](https://app.lingoblocks.com/auth).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lingoblocks.com/docs/api/getting-started.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
